Thread Verfasser: Harald
Thread ID: 1805
Thread Info
Es gibt 12 Beiträge zu diesem Thema, und es wurde 329 Mal angesehen.  Ausserdem wurden Dateien angehängt.
 Thema drucken
Installation
Harald
Guten Tag,
ich möchte gerne die Inoffizielle de v7.02.07, auf mein WebHosting bei Host Europe Installieren, leider komme ich nur bis Schritt 4 und brauche einen rat wie ich weiter komme.
php: 7.4 Alternative: 8.0
MySQL Version ist 8.0.26-16
Weitere Info in meinem Profil auf ihren Server.
Über eine baldige Antwort würde ich mich freuen.
MfG Harald Leißau
 
Systemweb
Was passiert genau? Gibt es Fehlermeldungen?
 
Harald
nein keine Fehlermeldung, bleibt einfach bei der Meldung "Schritt 4: Konfiguration und Datenbank erstellen" stehen, als wen das Programm sich aufgehängt hat ist bei der 9.0 auch gewsen.

Zusammengefügt am 27. Dezember 2021 um 16:44:51:
nein keine Fehlermeldung, bleibt einfach bei der Meldung "Schritt 4: Konfiguration und Datenbank erstellen" stehen, als wen das Programm sich aufgehängt hat ist bei der 9.0 auch gewsen.
Bearbeitet von Harald am 27.12.2021 um 16:44
 
MaZzIMo24
Ist das Formular bei schritt 4 vollständig und korrekt ausgefüllt? Setzt er Validation Marker ?
Projects: MZ.CMS | MZ.Fusion | Bot.API
Programmierkenntnisse: PHP, Html(5), CSS / SCSS, jQuery, Javascript, Sql, RegExp
 
Harald
Guten Abend, da kann man nicht ausfüllen oder einstellen, ich habe da nur das logo von php-fusion un untendrunter ein baten "Schritt 4: Konfiguration und Datenbank erstellen" man komt einfach nicht weiter. Die schreibrechte sind alle Grün Datenbank ist eingerichtet.

Zusammengefügt am 29. Dezember 2021 um 16:46:12:
Guten Tag,
Habt Ihr eine Andword für mein Problem?
Bearbeitet von Harald am 29.12.2021 um 16:46
 
Rolly8-HL
Kann das helfen?
https://www.phpfusion-deutschland.de/...#post_9959
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
 
Systemweb
Ich vermute, du hast den Download hier von der Seite unter DOWNLOADS -> Übersicht geladen. Der dortige Link führt leider noch zu einer alten Version dieses Updates.
Das aktuelle findest du unter DOWNLOADS -> PHP-Fusion Core
oder direkt hier:
https://www.phpfusion-deutschland.de/...etfile=775

Der Download wurde übrigens gerade aktualisiert, das Paket ist nun auch mit PHP-Version 8.1.x kompatibel.
 
MaZzIMo24
klatsch Danke für das Update.

Und Danke dafür dass du die Pakete aktuell hältst.

Zitat: Systemweb schrieb:

Ich vermute, du hast den Download hier von der Seite unter DOWNLOADS -> Übersicht geladen. Der dortige Link führt leider noch zu einer alten Version dieses Updates.
Das aktuelle findest du unter DOWNLOADS -> PHP-Fusion Core
oder direkt hier:
https://www.phpfusion-deutschland.de/...etfile=775

Der Download wurde übrigens gerade aktualisiert, das Paket ist nun auch mit PHP-Version 8.1.x kompatibel.

Projects: MZ.CMS | MZ.Fusion | Bot.API
Programmierkenntnisse: PHP, Html(5), CSS / SCSS, jQuery, Javascript, Sql, RegExp
 
Rolly8-HL
Soweit so Gut bleibe aber da schon hängen?
Zitat: Fatal error: Unparenthesized `a ? b : c ? d : e` is not supported. Use either `(a ? b : c) ? d : e` or `a ? b : (c ? d : e)` in W:\laragon\www\PHP-Version-8.1\setup.php on line 1820

Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
 
Systemweb
Merkwürdig, in meiner Entwicklungsumgebung mit PHP 8.1.1 und aktiviertem Full Error Reporting gab es diese Meldung nicht, als ich das Setup getestet hatte.
Zeile 1820 in der Datei setup.php sieht so aus:
$s = empty($_SERVER["HTTPS"]) ? "" : ($_SERVER["HTTPS"] == "on") ? "s" : "";

und sollte natürlich geändert werden in
$s = (empty($_SERVER["HTTPS"]) ? "" : ($_SERVER["HTTPS"] == "on" ? "s" : ""));


Es ist aber nicht auszuschließen, dass auf einer befüllten Webseite noch das eine oder andere auftaucht. Ich selbst arbeite nur noch mit v9 (manchmal auch v8) und habe v7 nicht mehr im Einsatz, so dass ich keine produktive Umgebung zum finalen Austesten mehr zur Verfügung habe.

EDIT:
Der Download wurde eben aktualisiert.
Bearbeitet von Systemweb am 03.01.2022 um 14:42
 
Rolly8-HL
So weit so Gut habe es für mich schon geändert.
Aber was mache ich damit?
Zitat: Warning: Undefined variable $datum in W:\laragon\www\PHP-Version-8.1\locale\German\setup.php on line 227
Warning: Undefined variable $datum in W:\laragon\www\PHP-Version-8.1\locale\German\setup.php on line 234
PHP-Fusion v7 Installation
Warning: Undefined array key "os_version" in W:\laragon\www\PHP-Version-8.1\setup.php on line 50
Version
Schritt 1: Sprache
Schritt 2: Schreibrechte Überprüfung
Schritt 3: Datenbank Einstellungen
Schritt 4: Konfiguration und Datenbank erstellen
Schritt 5: Seiten Administrator erstellen
Schritt 6: End Einstellungen
Bitte wähle die gewünschte Sprache aus:
Weitere Sprachen kannst du auf http://www.php-fusion.co.uk herunterladen.


Was muss ich bei DB-Zugriffsmethode einstellen? wenn nichts zur Auswahl da ist.
Und wo ist die images/php-fusion-icon.png?

Zitat: Es ist aber nicht auszuschließen, dass auf einer befüllten Webseite noch das eine oder andere auftaucht. Ich selbst arbeite nur noch mit v9 (manchmal auch v8) und habe v7 nicht mehr im Einsatz, so dass ich keine produktive Umgebung zum finalen Austesten mehr zur Verfügung habe.


Und was sollen die machen die es benutzen wollen?
Rolly8-HL hat folgende Bilder angehängt:
PHPFusion Deutschland Forum Bild Anhang PHPFusion Deutschland Forum Bild Anhang

Bearbeitet von Rolly8-HL am 03.01.2022 um 14:59
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
 
Systemweb
Habe das Downloadpaket komplett neu zusammengestellt. Da waren alte Dateien von früheren IUP Versionen noch drin. Leider hatte ich die überarbeiteten Dateien in den falschen IUP Ordner kopiert und diesen dann gepackt und hochgeladen.
Der Fehler in der setup.php war beispielsweise im März 2021 für Kompatibilität mit PHP 8.0 gefixt worden.

Jetzt habe ich im "full" Ordner das Komplettbackup meines Projektordners drin, mit dem ich bei meinem Installationsversuch auch gearbeitet habe.
Der Ordner "update" wurde auch nochmals neu zusammengestellt.

Zitat: Und was sollen die machen die es benutzen wollen?
Das gleiche wie du: Fehler melden. Dafür ist dieser Forenbereich gedacht..Wink
 
Springe ins Forum: